// Author: Denis Kozadaev - (c) 2017-2020


#ifndef	__MAIN_WINDOW_H__
#define	__MAIN_WINDOW_H__

#include <tdemainwindow.h>
#include <tdepopupmenu.h>

#include "gameboard.h"


class MainWindow : public TDEMainWindow
{
	TQ_OBJECT
    
public:
	MainWindow(TQWidget* parent = 0, const char* name = 0);
	~MainWindow();

private:
	TDEPopupMenu* mMenu;
	GameBoard*    mBoard;

private slots:
	void newGame();
	void loadImage();
};

#endif	/* __MAIN_WINDOW_H__ */
